'''
Created on May 30, 2021

@author: shuangyinli
'''
import re
import os
import os.path
import sys
import operator

biswtmcodes = []
categories = []
biswtmfeatures = []

if __name__ == '__main__':
    
    if (len(sys.argv) != 5):
        print(" python *.py <biswtmcodesinputfile> <categoryfile> <biswtmfeaturesinputfile, doc_dis> <model_root>")
        print(" ")
        exit(0)
    
    biswtmcodesinputfile = open(sys.argv[1],"r", encoding = "utf-8")
    categoryfile = open(sys.argv[2],"r", encoding = "utf-8")
    biswtmfeaturesinputfile = open(sys.argv[3],"r", encoding = "utf-8")
    
    oDir = sys.argv[4]
    
    biswtmoutputfile = open(oDir+"para_biswtm_vector.txt","w", encoding = "utf-8")
    
    for line in biswtmcodesinputfile:
        biswtmcodes.append(line.rstrip().lstrip())
    for line in categoryfile:
        categories.append(line.rstrip().lstrip())
    for line in biswtmfeaturesinputfile:
        biswtmfeatures.append(line.rstrip().lstrip())
        
    if len(categories) != len(biswtmcodes) or len(biswtmfeatures) != len(biswtmcodes):
        print("There exsits a bug, and exit now.")
        exit(0)
    
    num = 0
    for i in range(len(biswtmcodes)):
        wordlist = biswtmcodes[i].split("@")[1]
        temp = wordlist.rstrip().lstrip().strip()
        temp2 = temp.split(" ")[1:]
        wc = 0 
        for w in temp2:
            wc += int(w.split(":")[1])
        
        biswtmoutputfile.write(categories[i] + "##" + biswtmfeatures[i]+"\n")
        num+=1
            
    print("There are "+str(num) +" descriptions.\n")
    print("end.")