'''
Created on May 31, 2021

@author: shuangyinli
'''

import re
import os
import os.path
import sys
import operator

ldacodes = []
categories = []
ldafeatures = []

if __name__ == '__main__':
    
    if (len(sys.argv) != 5):
        print(" python *.py <ldacodesinputfile> <categoryfile> <lda doc_dis> <model_root>")
        print(" ")
        exit(0)
    
    ldacodesinputfile = open(sys.argv[1],"r", encoding = "utf-8")
    categoryfile = open(sys.argv[2],"r", encoding = "utf-8")
    ldafeaturesinputfile = open(sys.argv[3],"r", encoding = "utf-8")
    
    oDir = sys.argv[4]
    
    biswtmoutputfile = open(oDir+"all_lda_vector.txt","w", encoding = "utf-8")
    
    for line in ldacodesinputfile:
        ldacodes.append(line.rstrip().lstrip())
    for line in categoryfile:
        categories.append(line.rstrip().lstrip())
    for line in ldafeaturesinputfile:
        ldafeatures.append(line.rstrip().lstrip())
        
        
    if len(categories) != len(ldacodes) or len(ldafeatures) != len(ldacodes):
        print("There exsits a bug, and exit now.")
        exit(0)
    
    num = 0
    for i in range(len(ldacodes)):
        wordlist = ldacodes[i].split()[1:]
        wc = 0 
        for w in wordlist:
            wc += int(w.split(":")[1])
        
        biswtmoutputfile.write(categories[i] + "##" + ldafeatures[i]+"\n")
        num+=1
            
    print("There are "+str(num) +" descriptions.\n")
    print("end.")